struct WBStartupNode
{
  struct Node node;
  struct DiskObject *diskobj;
  long   StackSize;
  long   toolpri;
  unsigned long   wait;
};

struct WBStartupPrefs
{
  char ExecutePath[200];
  char StoragePath[200];
  BOOL ShowWindow;
  BOOL Interactive;
  char PrefsPath[200];
  char PubScreenName[200];
};

void GetFilenames(struct List *filenamequeue, char *directory, BOOL ShowWindow);
void FreeFilenames(struct List *filenamequeue);
void RunPrograms(struct List *filenamequeue, struct WBStartupPrefs *prefs);
void GetArguments(int argc, char **argv, struct WBStartupPrefs *prefs);
void ShowRequester(STRPTR RequesterText);
void DisplayVars(void);
void FreeIcons(struct List *list);
void RunPrefs(struct WBStartupPrefs *prefs);
struct Node *FindNameNoCase(struct List *list, char *name);
BOOL CheckSemaphore(void);
